ModaDocs
Jobs

List jobs

Returns recent design jobs, sorted by creation date (most recent first).

GET
/jobs

Authorization

bearerAuth
AuthorizationBearer <token>

API key from Settings > Developer > REST API. Format: moda_live_...

In: header

Query Parameters

canvas_id?string

Filter to a specific canvas by UUID.

Formatuuid
status?string

Filter by job status.

Value in"queued" | "running" | "completed" | "failed" | "cancelled"
limit?integer

Number of jobs to return.

Default10
Range1 <= value <= 50

Response Body

application/json

curl -X GET "https://api.moda.app/v1/jobs"
{
  "jobs": [
    {
      "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
      "canvas_id": "b62c6beb-2de8-4ee5-ac63-068ebe40140b",
      "canvas_url": "http://example.com",
      "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",
      "status": "queued",
      "message": "string",
      "task": "string",
      "progress_percent": 100,
      "current_step": "string",
      "error": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "started_at": "2019-08-24T14:15:22Z",
      "completed_at": "2019-08-24T14:15:22Z",
      "is_terminal": true,
      "can_export": true,
      "retry_after_seconds": 0,
      "credits": {
        "credits_used": 0,
        "credits_remaining": 0
      }
    }
  ]
}